> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hystruct.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new job

> Create and queue a new job to run for the workflow



## OpenAPI

````yaml post /v1/workflows/{workflowId}/queue
openapi: 3.0.0
info:
  title: Hystruct API
  version: 1.0.0
servers:
  - url: https://api.hystruct.com
security:
  - apiKey: []
externalDocs:
  url: https://docs.hystruct.com
  description: Documentation
paths:
  /v1/workflows/{workflowId}/queue:
    post:
      summary: Create new job
      description: Create and queue a new job to run for the workflow
      parameters:
        - schema:
            type: string
          in: path
          name: workflowId
          required: true
          description: workflow ID
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                description: Successful response
                type: object
                properties:
                  message:
                    type: string
        '400':
          description: Bad request - perhaps because there is already a job queued
          content:
            application/json:
              schema:
                description: Bad request - perhaps because there is already a job queued
                type: object
                properties:
                  error:
                    type: string
        '404':
          description: No workflow found
          content:
            application/json:
              schema:
                description: No workflow found
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````